<?php 
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->post('/productoTodos',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente(); $paso=$a->productosTodos($post["idBodega"],$post["idEmpresa"],$post["marca"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/productoCampos',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente(); $paso=$a->productosCampos($post["idBodega"]??"6");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/verificarNit',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente();  $paso=$a->verificarNit($post["nit"],$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actualizarDireccion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente();  $paso=$a->actualizarDireccion($post["region"],$post["ciudad"],$post["zona"],$post["direccion"],$post["piso"],$post["cp"],$post["idCliente"],$post["index"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioCredito',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->cambioCredito($post["idVenta"],$post["idCliente"],$post["diasCredito"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioContraEntrega',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->cambioContraEntrega($post["idVenta"],$post["idCliente"],$post["metodoPago"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioMetodoCaja',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->cambioMetodoCaja($post["idVenta"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioMetodoTransferencia',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->cambioMetodoTransferencia($post["ruta22"],$post["idVenta"],$post["idCliente"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/cambioCreditoTransferencia',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->cambioCreditoTransferencia($post["ruta"],$post["idVenta"],$post["idCliente"],$post["diasCredito"],$post["montoPagoAgregado"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/informacionMetodoReducido',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->informacionMetodoReducido($post["idCliente"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/eliminarPedido',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->eliminarPedido($post["idCliente"],$post["idVenta"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/productoCarrito',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a-> productosCarrito($post["id"],$post["lista"],$post["idBodega"]??"6",$post["idEmpresa"]??"1");    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/estadisticaFiltro',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->estadisticaFiltro($post["id"],$post["control"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/esperaIdentificacion',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->esperaIdentificacion($post["idVenta"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/eliminarNotificacion',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->eliminarNotificacion($post["id"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/agregarMarketing',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaCliente(); $a1=$a->agregarMarketing($post["campos"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/notificacionNuevo',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->notificacionNuevo($post["id"],$post["control"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/vistaNotificacion',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->vistaNotificacion($post["idNotificacion"],$post["control"],$post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/estadisticaReducido',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->estadisticaReducido($post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/actuValorGene',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->actuValorGene($post["id"],$post["campo"],$post["valor"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

// -------------------------------------------------------------------------------------------------------
$app->post('/usuarioIdReducido',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->usuarioIdReducido($post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/usuarioFavorito',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->usuarioFavorito($post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/consultaPass',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->consultaPass($post["pas"],$post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/suspenderCuenta',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->suspenderCuenta($post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/consultaPagos',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->consultaPagosIdVenta($post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/consultaNivel',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->consultaNivel($post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/asignacionNivel',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->asignacionNivel($post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/cancelarDevolucion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente(); $a1=$a->cancelarDevolucion($post["idVenta"],$post["idpr"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/devolverParcial',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente(); $a1=$a->devolverParcial($post["idVenta"],$post["idpr"],$post["motivo"],$post["cantidad"],$post["imagen"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/devolverGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente(); $a1=$a->devolverGeneral($post["idVenta"],$post["motivo"],$post["imagen"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actualizarDireccionrr',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente(); $a1=$a->actualizar_direccion_rr($post["idVenta"],$post["direccion"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/creditoRegresar',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente(); $a1=$a->retorno_credito($post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/metodoPagoTransferenciaSaldo',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->metodo_pago_transferencia_saldo($post["imagenTransferencia"],$post["idCliente"],$post["control"],$post["direccion"],$pos["resta"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/metodoPagoSaldo',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->metodo_pago_saldoafavor($post["idCliente"],$post["control"],$post["direccion"],$post["resta"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/obtenerSaldo',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->obtenerSaldo($post["id"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

// $app->post('/ventaTipoFinalFinal',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
// $a=new ConsultaMensajero(); $paso=$a->venta_tipo_final_final($post["id"],$post["pagina"],$post["ancho"]);
// $res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/obtenerInformacionProductos',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->obtenerInformacionProductos($post["venta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/cambioCaja',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->cambio_caja($post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/comprobarCambioPago',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->comprobar_cambio_pago($post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/reemplazoTransferencia',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->reemplazo_transferencia($post["imagenTransferencia"],$post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/auxhisespcar',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->consulta_auxiliar_cartera_historial_espera($post["idCliente"],$post["co"],$post["idVendedor"]??"0",$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/pagoCajaGeneral',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$des=explode("-",$post['clave']); $clave=$des[1]; $idVenta=$des[3]; $monto=$des[4];
$a=new ConsultaCliente(); $a1=$a->pago_caja_general($monto,$idVenta,$clave);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/consultaPagoCaja',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$des=explode("-",$post['clave']); $clave=$des[1]; $idVenta=$des[3]; $monto=$des[4];
$a=new ConsultaCliente(); $a1=$a->consulta_pago_caja($monto,$idVenta,$clave);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/consultaVentaCaja',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->consulta_venta_caja($post["clave"],$post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/revisarCorreo',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->revisarEmail($post["correo"],$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/subirImagenGeneralAccion',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->subirImagenGeneral($post["base64"],$post["nombre"],$post["ext"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/pedidosConteo',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente();  $a1=$a->pedidosConteo($post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaEsperaCarteraHistorialLimite',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente();  $a1=$a->consultaEsperaCarteraHistorialLimite($post["idCliente"],$post["control"],$post["pagina"],$post["busqueda"],$post["ancho"],$post["idVendedor"]??"0",$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaEsperaCarteraHistorial',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente();  $a1=$a->consultaEsperaCarteraHistorial($post["idCliente"],$post["control"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/conteoCarritoGeneral',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->conteoCarritoGeneral($post["idCliente"],$post["idVendedor"]??"0",$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/ventaIdAuxiliar',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaCliente(); $a1=$a->ventaAuxiliar($post["idventa"]);
$res->getBody()->write(json_encode($a1)); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/productosPromocionNuevos',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody();
$lim=$post["pagina"]; $idCliente=$post["idCliente"]; $ancho=12; $limite=($lim-1)*$ancho;
$a=new ConsultaCliente(); $a1=$a->productosPromocionNuevos($limite,$ancho,$idCliente,$post["marca"],$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write(json_encode($a1)); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/productosCarga',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody();
$lim=$post["pagina"]; $idCliente=$post["idCliente"]; $ancho=12; $limite=($lim-1)*$ancho;
$a=new ConsultaCliente(); $a1=$a->productosCarga($limite,$ancho,"general",$idCliente,$post["marca"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write(json_encode($a1)); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/modeloMarcaCategoria',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
if($_POST["codigo"]=="c6h12o6he6126r4&&&"){ $a=new ConsultaCliente(); $a1=$a->modeloMarcaCategoria($post["idEmpresa"]??"1");}else{$a1="acceso denegado";}
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/ingresoCarrito',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
if(!is_numeric($post["cantidad"])){$res22["estado"]=0; $res22=json_encode($res22);}else{ $a=new ConsultaCliente(); 
$a1=$a->ingreso_carrito($post["idpro"],$post["idusu"],$post["cantidad"],$post["pu"],$post["estado"],$post["tipoCliente"],$post["idCliente"]??"0",$post["idBodega"]??"6",$post["stockNegativo"]??"false",$post["id_empresa"]??"1"); $res22=$a1; }
$res->getBody()->write($res22); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/actualizarCantidad',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->actualizar_cantidad($post["idCarrito"],$post["cantidad"],$post["idProducto"],$post["tipoCliente"],$post["idCliente"]??"0",$post["idBodega"]??"6",$post["stockNegativo"]??"false");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/productosCargaFiltros',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->filtros_general($post["filtros"],$post["id"],$post["tipoCliente"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/agregarFavorito',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->agregar_favorito($post["idCliente"],$post["idProducto"],$post["valorCambio"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/agregarAplicacion',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->agregar_aplicacion($post["idPro"],$post["modelo"],$post["car"]);
if($a1==NULL){$paso["paso"]="no paso";}else{$paso["paso"]="paso"; $paso["app"]=$a1;}
$res->getBody()->write(json_encode($paso)); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/consultaCarrito',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->consulta_carrito($post["idCliente"],$post["control"],$post["idVendedor"]??"0",$post["idBodega"]??"6");
if($a1==NULL){$paso["paso"]="no paso";}else{$paso["paso"]="paso"; $paso["lista"]=$a1;}
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/eliminarProducto',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->eliminar_producto($post["idCarrito"],$post["tipoCliente"]); if($a1==NULL){$paso["paso"]="no paso";}else{$paso["paso"]="paso";}
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/eliminarTotal',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->eliminar_total($post["idCliente"],$post["control"],$post["tipoCliente"],$post["idVendedor"]??"0",$post["idBodega"]??"6"); if($a1==NULL){$paso["paso"]="no paso";}else{$paso["paso"]="paso";}
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/direccionAlternativa',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->direccionAlternativa($post["idCliente"]); if($a1==NULL){$paso["paso"]="no paso";}else{$paso["paso"]="paso"; $paso["contenido"]=$a1;}
$res->getBody()->write(json_encode($paso)); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/informacionMetodoPago',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->informacionMetodoPago($post["idCliente"],$post["control"],$post["idVendedor"]??"0",$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/metodoPagoCaja',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$des=explode("-",$post['clave']); $a=new ConsultaCliente(); $a1=$a->metodo_pago_caja($des[0],$des[1],$des[2],$des[3],$post["idBodega"]??"6",$post["idVendedor"]??"0",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/metodoPagoTransferencia',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->metodo_pago_transferencia_im($post["imagenTransferencia"],$post["idCliente"],$post["control"],$post["direccion"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/metodoPago22',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->metodo_pago_recoger($post["idCliente"],$post["control"],$post["direccion"],$post["metodoPago"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/metodoPagoCredito',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->metodo_pago_credito_adicional($post["idCliente"],$post["control"],$post["direccion"],$post["diasCredito"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/metodoPagoCreditoTransferencia',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->metodo_pago_credito_transferencia_general($post["imagenTransferencia"],$post["idCliente"],$post["control"],$post["direccion"],$post["diasCredito"],$post["montoPagoAgregado"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/metodoPagoCreditoEfectivo',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->metodo_pago_credito_efectivo($post["idCliente"],$post["control"],$post["direccion"],$post["diasCredito"],$post["montoPagoAgregado"],$post["idBodega"]??"6",$post["idVendedor"]??"0",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/pagoTransferenciaGeneral',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->pago_transferencia_general($post["monto"],$post["idVenta"],$post["imagenTransferencia"],$post["idCliente"],$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });
// metodo_pago_credito_efectivo($idCliente,$control,$direccion,$diasCredito,$montoPagoAgregado)
$app->post('/eliminarPagoGeneral',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->eliminar_pago_general($post["idPago"],$post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/notificacion',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->notificacion($post["idReceptor"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/actualizacionNotificacion',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->actualizacionNotificacion($post["idReceptor"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/esperaConsulta',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->esperaConsultaGeneral($post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/esperaConsultaHistorial',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->esperaConsultaGeneralHistorial($post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/carteraConsulta',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->carteraConsultaGeneral($post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/usuarioIdCliente',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->usuario_id_general($post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/cambioPass',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->cambiarPassword($post["passAnterior"],$post["passNuevo"],$post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/actDocumentoArray',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->actDocumentosArray($post["campos"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/eliminarDocumentoArray',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->elicDocArrayGeneral($post["campos"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/actualizacionDatosPersonales',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->actualizarDatosPersonalesGeneral($post["informacion"],$post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/actualizacionDatosEmpresa',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->actualizarDatosEmpresarialGeneral($post["informacion"],$post["idCliente"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/actualizarDocumentoGeneral',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->actualizarDocumentoGeneral($post["imagen"],$post["idCliente"],$post["control"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/ingresoDireccionCliente',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente();
$a1=$a->ingresoDireccion($post["region"],$post["ciudad"],$post["zona"],$post["direccion"],$post["piso"],$post["idCliente"]);
if($a1==NULL){$paso["paso"]="no paso";}else{$paso["paso"]="paso"; $paso["respuesta"]=$a1; $b=new ConsultaCliente(); $b1=$b->direccionAux($post["idCliente"]); $paso["lista"]=$b1;}
$res->getBody()->write(json_encode($paso)); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/eliminarDireccionCliente',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->eliminar_direccion_android($post["idCliente"],$post["index"]);
if($a1==NULL){$paso["paso"]="no paso";}else{$paso["paso"]="paso"; $paso["respuesta"]=$a1; $b=new ConsultaCliente(); $b1=$b->direccionAux($post["idCliente"]); $paso["lista"]=$b1;}
$res->getBody()->write(json_encode($paso)); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/ingresoPersonalCliente',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->ingresoPersonalDos($post["datosPersonales"],$post["foto"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/ingresoEmpresaCliente',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->ingresoEmpresaGeneral($post["datosEmpresa"],$post["datosPersonales"],$post["rut"],$post["comercio"],$post["cedula"],$post["foto"],$post["idVendedor"]??"0",$post["idBodega"]??"6",$post["idEmpresa"]??"1");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/cambioPassCliente',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->cambioPass($post["pass"],$post["correo"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

$app->post('/pagoEsperaTransferencia',function (Request $pedido, Response $res, $args){ $post=$pedido->getParsedBody();
$a=new ConsultaCliente(); $a1=$a->pagoEsperaTransferencia($post["id"],$post["base64"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json'); });

?>
